Skip to content

Get XP sent by the authenticated user

GET
/xp/tips/sent
curl --request GET \
--url 'https://api.ethos.network/api/v2/xp/tips/sent?limit=50&offset=0' \
--header 'X-Ethos-Api-Key: <X-Ethos-Api-Key>'
limit
integer
default: 50 <= 100
offset
integer
0 <= 2147483647

Successful response

Media typeapplication/json
object
values
required
Array<object>
object
amount
required
number
createdAt
required
string
id
required
number
message
required
string | null
receiverUserId
required
number
senderProfileId
required
number
source
required
Any of:
object
type
required
string
Allowed values: broker profile review slash vouch vouch-v2
id
integer
> 0 <= 9007199254740991
total
required
number

Example

{
"values": [
{
"source": {
"type": "broker"
}
}
]
}

Invalid input data

Media typeapplication/json
Invalid input data error (400)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}

Authorization not provided

Media typeapplication/json
Authorization not provided error (401)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}

Insufficient access

Media typeapplication/json
Insufficient access error (403)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}

Not found

Media typeapplication/json
Not found error (404)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}

Internal server error

Media typeapplication/json
Internal server error error (500)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}